> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mayerex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook URL

> This endpoint fetches the current webhook URL that is set up for events.



## OpenAPI

````yaml https://api.mayerex.com/openapi/public.json get /api/webhook
openapi: 3.0.1
info:
  title: Mayer Partner API
  description: >-
    This API allows partners of Mayer Solar LLC to integrate solar data within
    their own CRM and view trends and analytics.
  termsOfService: https://mayerex.com/api-terms
  contact:
    name: Sarmad Wahab
    url: https://mayerex.com/
    email: sarmad.wahab@mayersolar.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.mayerex.com/
    description: Mayer Production
security:
  - Bearer: []
tags:
  - name: Deals
  - name: Files
  - name: Webhook
paths:
  /api/webhook:
    get:
      tags:
        - Webhook
      summary: Get Webhook URL
      description: This endpoint fetches the current webhook URL that is set up for events.
      operationId: GetWebhook
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateWebhookRequest'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MayerError'
components:
  schemas:
    UpdateWebhookRequest:
      type: object
      properties:
        createURL:
          type: string
          description: >-
            The URL of the create webhook, set this to null to disable the
            webhook
          nullable: true
        updateURL:
          type: string
          description: >-
            The URL of the update webhook, set this to null to disable the
            webhook
          nullable: true
    MayerError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        errors:
          type: array
          items:
            type: string
          nullable: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Token

````